CON

  _clkmode        = xtal1 + pll16x
  _xinfreq        = 5_000_000
  Delay           = 80_000_000  

  Right           = 26
  Left            = 27

OBJ

  synth : "pm_synth_20"

VAR

  long note
  long instrument  
  long channel
  long velocity  

PUB Main

  synth.start(Left,Right,2)                  ' Start synth with 20 voices

  note := 60                                 ' Middle C
  instrument := 33                           ' Start with instrument 33 (acoutic bass)
  channel := 0                               ' User channel 0
  velocity := 127                            ' Set volume (127=loudest)

  ' Play major chords
  repeat 10                                  ' Cycle through 10 instruments
    synth.prgChange(instrument, channel)     ' Set instrument (program change)

    synth.noteOn(note, channel, velocity)    ' Pitch, midichannel,velocity  
    synth.noteOn(note+4, channel, velocity)  ' Major third  
    synth.noteOn(note+7, channel, velocity)  ' Perfect fifth  
    waitcnt(Delay+cnt)
    
    synth.noteOff(note, channel)             ' Turn off all notes
    synth.noteOff(note+4, channel)   
    synth.noteOff(note+7, channel)   
    waitcnt(Delay*2+cnt)

    Instrument+=3                            ' Skip every three instruments
  
  synth.allOff                               ' All notes off
  synth.stop                                 ' Turn off MIDI when done